@charset "UTF-8";

/* ==============================
* util-modal 팝업 영역
* ============================== */

.util-modal.util-modal-login {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -moz-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  background-color: transparent; 
  overflow: hidden;
  width: 100%;
  height: 0vh;
  transition: background-color 0.25s ease;
  z-index: 9999;
}

.util-modal.util-modal-login.active {
  width: 100%;
  height: 100vh;
  background: transparent;
  transition: background-color 0.25s;
}

.util-modal-login .util-modal__wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-pack: start;
  -ms-flex-pack: start;
  justify-content: flex-start;
  -webkit-align-items: center;
  -webkit-box-align: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  position: relative;
  width: 300px;
  padding: 30px 20px 20px;
  gap: 30px;
  background-color: #fff;
  border: 1px solid #eee;
  box-shadow: 0px 4px 30px rgba(0, 0, 0, 0.1);
  transition: transform 0.25s;
  transition-delay: 0.15s;
  border-radius: 8px;
} 

.util-modal-login .util-modal__wrap p {
  color: #000;
  text-align: center;
  font-family: Pretendard;
  font-size: 17px;
  font-weight: 400;
  line-height: 136%;
}

.util-modal-login .title {
  display: none;
}

/* 버튼 영역 */
.util-modal-login .util-modal__wrap .btn-wrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -moz-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 10px;
  width: 100%;
  height: 44px;
  color: #111;
  font-size: 15px;
  font-weight: 700;
}

/* 버튼 공통 */
.util-modal-login .util-modal__wrap .btn-wrap [class*='btn'] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  -moz-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -moz-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 8px;
  width: 100%;
  align-self: stretch;
  border-radius: 4px;
}

/* 버튼 링크 스타일 */
.util-modal-login [class*='util-modal__wrap'] [class*='btn'] a:link, 
.util-modal-login [class*='util-modal__wrap'] [class*='btn'] a:visited,
.util-modal-login [class*='util-modal__wrap'] [class*='btn'] a:hover,
.util-modal-login [class*='util-modal__wrap'] [class*='btn'] a:active {
  text-decoration: none;
}

/* 취소 */
.util-modal__wrap .btn--cancel,
.btn_w {
  background: #efefef;
  color: #111;
}
.util-modal.util-modal-login .article-quick__toggle__close {
  position: inherit;
  width: inherit;
  height: inherit;
  background-image: none;
}

/* 확인 */
.util-modal__wrap .btn--confirm,
.btn_b {
  background: #333;
  color: #fff;
}

@media (max-width: 819px) {
  .util-modal-login .util-modal__wrap {
    border-radius: 20px;
  }
  /* .util-modal.util-modal-login {
    background-color: rgba(0, 0, 0, 0.7);
  }
  .util-modal.util-modal-login.active {
    background-color: rgba(0, 0, 0, 0.7);
  }
  .util-modal-login .util-modal__wrap {
    border: 0 none;
    box-shadow: none;
  } */
}
